Bug 1046720 - [abrt] system-config-services: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Summary: [abrt] system-config-services: connection.py:651:call_blocking:DBusException:...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-services
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dbac5f43345a9d129e21b3e54e1...
: 983231 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 18:37 UTC by Santiago Newbery
Modified: 2015-06-29 13:50 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:50:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.09 KB, text/plain)
2013-12-26 18:37 UTC, Santiago Newbery
no flags Details
File: dso_list (68 bytes, text/plain)
2013-12-26 18:38 UTC, Santiago Newbery
no flags Details
File: environ (1.62 KB, text/plain)
2013-12-26 18:38 UTC, Santiago Newbery
no flags Details

Description Santiago Newbery 2013-12-26 18:37:55 UTC
Version-Release number of selected component:
system-config-services-0.111.1-1.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            2068

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 49, in <module>
    UIController(use_dbus=use_dbus).run()
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1236, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 121, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 74, in list_services
    return self.herder_interface.list_services()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 51, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7f7fbd4ced70>
args: ()
object_path: '/org/fedoraproject/Config/Services/ServiceHerders/XinetdServiceHerder'
signature: None
bus_name: dbus.UTF8String(':1.149')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.fedoraproject.Config.Services.ServiceHerder'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/ServiceHerders/XinetdServiceHerder, iface: org.fedoraproject.Config.Services.ServiceHerder, member: list_services dest: :1.149>
method: 'list_services'

Potential duplicate: bug 870728

Comment 1 Santiago Newbery 2013-12-26 18:37:58 UTC
Created attachment 842034 [details]
File: backtrace

Comment 2 Santiago Newbery 2013-12-26 18:38:00 UTC
Created attachment 842035 [details]
File: dso_list

Comment 3 Santiago Newbery 2013-12-26 18:38:02 UTC
Created attachment 842036 [details]
File: environ

Comment 4 Bob Bitton 2014-02-06 03:27:55 UTC
Another user experienced a similar problem:

I enabled vmware in system-config-services

reporter:       libreport-2.1.12
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.12.9-301.fc20.i686+PAE
package:        system-config-services-0.111.1-1.fc20
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
runlevel:       N 5
type:           Python
uid:            1000

Comment 5 Flóki Pálsson 2014-03-01 15:12:18 UTC
Another user experienced a similar problem:

Starrted.  click on services to view.
wait.
[floki@ftalv ~]$ top

top - 15:06:03 up  4:05,  2 users,  load average: 1,71, 0,92, 0,52
Tasks: 201 total,   4 running, 197 sleeping,   0 stopped,   0 zombie
%Cpu(s): 89,6 us, 10,4 sy,  0,0 ni,  0,0 id,  0,0 wa,  0,0 hi,  0,0 si,  0,0 st
KiB Mem:   3102288 total,  2813664 used,   288624 free,      940 buffers
KiB Swap:  3162108 total,        0 used,  3162108 free,  2113308 cached

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                   
 4077 floki     20   0  184884  31852  14588 R  90,8  1,0   0:25.17 system-config-s           
 4084 root      20   0   41004  31776   4392 R  49,7  1,0   0:22.95 system-config-s           
  441 dbus      20   0   13336   2640   1340 R  25,5  0,1   0:16.99 dbus-daemon               
    1 root      20   0    8556   5588   3740 S  23,2  0,2   0:15.39 systemd                   
 4100 floki     20   0  162432  15708  11624 S   4,0  0,5   0:01.48 gnome-terminal-           
 1059 root      20   0   99240  25400   9724 S   3,0  0,8   4:22.83 Xorg                      
 1532 floki     20   0  569680 190300  45296 S   1,3  6,1   2:03.10 gnome-shell               
    7 root      20   0       0      0      0 S   0,7  0,0   0:04.73 rcu_sched                 
  440 root      20   0    4048   1624   1340 S   0,7  0,1   0:00.62 systemd-logind            
 4129 floki     20   0    5700   1488   1060 R   0,3  0,0   0:00.78 top                       
    2 root      20   0       0      0      0 S   0,0  0,0   0:00.01 kthreadd                  
    3 root      20   0       0      0      0 S   0,0  0,0   0:00.16 ksoftirqd/0               
    5 root       0 -20       0      0      0 S   0,0  0,0   0:00.02 kworker/0:0H              
    8 root      20   0       0      0      0 S   0,0  0,0   0:00.00 rcu_bh                    
    9 root      rt   0       0      0      0 S   0,0  0,0   0:00.26 migration/0               
   10 root      rt   0       0      0      0 S   0,0  0,0   0:00.03 watchdog/0                
   11 root      rt   0       0      0      0 S   0,0  0,0   0:00.02 watchdog/1                


reporter:       libreport-2.1.12
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.13.5-200.fc20.i686+PAE
package:        system-config-services-0.111.1-1.fc20
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
runlevel:       N 5
type:           Python
uid:            1000

Comment 6 Jaromír Končický 2014-03-20 11:30:59 UTC
*** Bug 983231 has been marked as a duplicate of this bug. ***

Comment 7 David W. Legg 2014-11-12 19:21:16 UTC
Another user experienced a similar problem:

Stopped livesys and livesys-late services in kde then tried to disable them.
Got 2 abrt error windows.

reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.16.7-200.fc20.x86_64
package:        system-config-services-0.111.1-1.fc20
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
runlevel:       N 5
type:           Python
uid:            1001

Comment 8 Randy Berry 2014-12-13 16:47:12 UTC
Another user experienced a similar problem:

I plugged in a Bluetooth dongle, I didn't stick around. I'll check to see if reomval solves the problem and report back. I'll try to plug it again and stick arounf this time to see if the abrt pops up again.

reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.17.6-200.fc20.i686+PAE
package:        system-config-services-0.111.1-1.fc20
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
runlevel:       N 5
type:           Python
uid:            1000

Comment 9 scattol 2015-02-10 02:39:03 UTC
Another user experienced a similar problem:

UI was frozen taking 1 full core. Got killed as a result. It would have been frozen at least 12h.

reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.17.8-200.fc20.x86_64
package:        system-config-services-0.111.1-1.fc20
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
runlevel:       N 5
type:           Python
uid:            1000

Comment 10 Fedora End Of Life 2015-05-29 10:10:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-29 13:50:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.